## njplot 0.20060606

=== Makefile ===
#uncomment and locally adapt next line to fix the full helpfile path name
HELPFILENAME = -DHELPFILENAME=\"/usr/share/njplot/njplot.help\"

#comment out next line and uncomment next 2 to use the PDFLib Lite library 
NO_PDF = -DNO_PDF
#PDF = ../PDFlibLite/libs/pdflib
#PDFLIB = -L$(PDF) -lpdf

# c compiler and linker
CC = gcc

# Vibrant top directory
VIBRANT = /Users/mgouy/Documents/ncbiJun04


# X11 include directory
X11INCL = /usr/X11R6/include

# motif library directory
MOTIFLIB = /sw/lib
MOTIFINCL = /sw/include

OBJECTS = njplot-vib.o
OBJUNROOTED = unrooted-vib.o preptree.o


CFLAGS  = -c -DWIN_MOTIF -Dunix -I$(VIBRANT)/include -I$(VIBRANT)/vibrant -I$(VIBRANT)/corelib \
	-I$(VIBRANT) -I$(PDF) -I$(X11INCL) -I$(MOTIFINCL) $(HELPFILENAME) $(NO_PDF) \
	-Wimplicit-function-declaration -g
	
all: njplot  unrooted 


njplot : $(OBJECTS)
	$(CC) -g -o njplot $(OBJECTS) \
        -L$(VIBRANT)/lib \
        -lvibrant -lncbi \
        $(PDFLIB)   \
        -L$(MOTIFLIB) -lXm  \
        -L/usr/X11R6/lib -lXmu -lXt -lX11 
        
unrooted : $(OBJUNROOTED)
	$(CC) -g -o unrooted $(OBJUNROOTED) \
        -L$(VIBRANT)/lib -lvibrant -lncbi \
        -L$(MOTIFLIB) -lXm \
        -L/usr/X11R6/lib -lXmu -lXt -lX11  


.c.o : 
	$(CC) $(CFLAGS)  $?

## njplot 2.3

=== debian/changelog ===
njplot (2.3-4) unstable; urgency=low

  * Fix FTBFS with -Werror=format-security (Thanks for the
    patch to Ilya Barygin <randomaction@ubuntu.com>)
    Closes: #653001
  * debian/control:
    - Standards-Version: 3.9.2 (no changes needed) 
    - Fixed Vcs fields
    - Removed article in short description
  * Debhelper 8 (control+compat)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Dec 2011 13:58:26 +0100

njplot (2.3-3) unstable; urgency=low

  * Standards-Version: 3.9.1 (no changes needed)
  * debian/source/format: 3.0 (quilt)
  * debian/rules: Do not use deprecated variable DEB_OPT_FLAG any
    more but use CFLAGS instead
    Closes: #614432
  * debian/patches: Do not link against unused libs (X11, Xmu)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Feb 2011 13:15:08 +0100

njplot (2.3-2) unstable; urgency=low

  * debian/control:
    - Mention that the trees are phylogenetic and in Newick format.
      Closes: #517010
    - Added missing comma in the Depends field.
  * debian/get-orig-source: obsolete, removed. (Also in debian/rules).

 -- Charles Plessy <plessy@debian.org>  Wed, 25 Feb 2009 22:35:05 +0900

njplot (2.3-1) unstable; urgency=low

  * New upstream release: NJplot can draw multibranched trees with or without
    branch lengths.
  * debian/rules: uses 'DEB_OPT_FLAG +=' instead of 'DEB_OPT_FLAG =' so that
    CDBS still manages the optimisation levels and the 'noopt' build option.
  * debian/control: depend on ${misc:Depends} to better use Debhelper.
  * debian/dirs: useless therefore deleted.
  * Using Debhelper 7 (debian/compat, debian/control).
  * Checked compliance to Policy 3.8.0 (no changes needed).
  * debian/copyright converted to machine-readable format.
  * Updated my email address.

 -- Charles Plessy <plessy@debian.org>  Sat, 03 Jan 2009 23:10:31 +0100

njplot (2.2-1) unstable; urgency=low

  [ Andreas Tille ]
  * Added Vcs-Browser, Vcs-Svn
  * Added -DHELPFILENAME=\"/usr/share/njplot/njplot.help\" to
    build options

  [ Charles Plessy ]
  * New upstream version:
    - NJplot can display several tree windows simultaneously.
  * debian/control:
    - added myseld as Uploader.
    - allowed the upload by Debian Maintainers.
    - Removed the [biology] tag and the Homepage pseudo-field from the
      description.
    - Checked conformance with Policy 3.7.3.
    - Dropped build dependency on dpatch
  * MIME support:
    - debian/njplot.sharedmimeinfo declares that .phb and .ph files
      are Clustal W phylogenetic trees.
    - debian/njplot.mime, debian/njplot.desktop and
      debian/unrooted.desktop declare that NJplot and Unrooted can
      open Clustal W phylogenetic trees.
  * Removed debian/README.Debian, as its contents were obsolete.

 -- Andreas Tille <tille@debian.org>  Tue, 15 Jan 2008 09:39:01 +0100

njplot (2.0-2) unstable; urgency=low

  [ Nelson A. de Oliveira ]
  * Fixed watch file
    Closes: #450104

 -- Andreas Tille <tille@debian.org>  Wed, 07 Nov 2007 08:04:06 +0100

njplot (2.0-1) unstable; urgency=low

  * New upstream version that startet proper version numbering
  * debian/menu: Apps/Science -> Applications/Science/Biology
  * Added debian/watch because upstream startet proper version numbering
  * Upstream included man pages, so remove debian/*.1

 -- Andreas Tille <tille@debian.org>  Tue, 09 Oct 2007 22:42:13 +0200

njplot (0.20070618-1) unstable; urgency=low

  * New upstream version
  * New debian/README.Debian explaining the issue how a rebuilded
    upstream source is needed.
  * debian/get-orig-source: Code to obtain the orig.tar.gz
  * debian/control: Replaced XBCS-URL by Homepage
  * Switched to cdbs, dpatch
  * debian/control: team maintainance
    Maintainer: Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Uploaders: Andreas Tille <tille@debian.org>

 -- Andreas Tille <tille@debian.org>  Mon, 01 Oct 2007 20:45:37 +0200

njplot (0.20060606-3) unstable; urgency=low

  * Fixed .desktop file (Thanks to Adri2000 <adri2000@gmail.com>)
    Closes: #401231

 -- Andreas Tille <tille@debian.org>  Tue, 12 Dec 2006 08:08:34 +0100

njplot (0.20060606-2) unstable; urgency=low

  * Added desktop files (thanks to Charles Plessy)
    Closes: #380633

 -- Andreas Tille <tille@debian.org>  Tue,  1 Aug 2006 08:07:30 +0200

njplot (0.20060606-1) unstable; urgency=low

  * New upstream version
  * Removed 'binary' from package description because njplot
    now can draw all types of trees
  * Replace dependencies "libvibrant6-dev | vibrant-dev, ncbi-tools6-dev"
    by libncbi6-dev
  * Replace dependency lesstif-dev by lesstif2-dev
    Closes: #374230
  * Standards-Version: 3.7.2 - no changes needed
  * debian/compat: 5

 -- Andreas Tille <tille@debian.org>  Mon, 10 Jul 2006 08:25:26 +0200

njplot (0.20051109-1) unstable; urgency=low

  * New upstream version
  * Build-Depends: libxt-dev instead of xlibs-dev
    Closes: #347123
  * Standards-Version: 3.6.2, no changes necessary

 -- Andreas Tille <tille@debian.org>  Mon,  9 Jan 2006 08:21:08 +0100

njplot (0.20041129-2) unstable; urgency=low

  * According to the ncbi maintainer switched back from 
    priority extra to optional because the package depends
    now are adjusted
  * Build-Depends now libvibrant6-dev | vibrant-dev

 -- Andreas Tille <tille@debian.org>  Wed,  1 Dec 2004 22:04:35 +0100

njplot (0.20041129-1) unstable; urgency=low

  * Fixed upstream version
  * Standards-Version: 3.6.1.1
  * Did not patched upstream makefile that much but moved own
    patches to debian/rules
  * Package was optional and has a Depends on vibrant6 (>= 6.1.20020828)
    which is extra --> moved package to extra
  * Added quotes to menu items
  * Added information from the homepage

 -- Andreas Tille <tille@debian.org>  Wed,  1 Dec 2004 14:56:41 +0100

njplot (0.20030331-1) unstable; urgency=low

  * What difference does it make to the dead, the orphans and the homeless,
    whether the mad destruction is wrought under the name of totalitarianism


=== debian/control ===
Source: njplot
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andreas Tille <tille@debian.org>, Charles Plessy <plessy@debian.org>
Build-Depends: cdbs, debhelper (>= 8), libncbi6-dev, libvibrant6-dev, lesstif2-dev, libxt-dev
Standards-Version: 3.9.2
Homepage: http://pbil.univ-lyon1.fr/software/njplot.html
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/njplot/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/njplot/trunk/

Package: njplot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: phylogenetic tree drawing program
 NJplot is able to draw any dendrogram expressed in the Newick standard
 phylogenetic tree format (e.g., the format used by the Phylip package).
 NJplot is especially convenient for rooting the unrooted trees
 obtained from parsimony, distance or maximum likelihood tree-building
 methods.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for njplot using cdbs
# Andreas Tille <tille@debian.org>, GPL

# include /usr/share/cdbs/1/rules/dpatch.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# despite the fact that cdbs should use distclean as default, the clean target is called
# so force distclean
DEB_MAKE_CLEAN_TARGET = distclean

CFLAGS +=-c -I/usr/include/ncbi -DNO_PDF -DWIN_MOTIF -DHELPFILENAME=\\\"/usr/share/njplot/njplot.help\\\"

## njplot 2.4

=== debian/changelog ===
njplot (2.4-9build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:02:34 +1100

njplot (2.4-9build1) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 00:53:08 +0000

njplot (2.4-9) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Do not quoted placeholder in mailcap entry

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 15:36:51 +0100

njplot (2.4-8) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Sun, 29 Jul 2018 08:02:57 +0200

njplot (2.4-7) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille and Sascha Steinbiss ]
  * Add xauth to autopkgtest dependencies
  * Use GLX extension for xvfb

 -- Sascha Steinbiss <satta@debian.org>  Sat, 14 Jan 2017 14:22:30 +0000

njplot (2.4-6) unstable; urgency=medium

  * autopkgtest needs running X server - use xvfb
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jan 2017 08:57:50 +0100

njplot (2.4-4) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Packaging moved from SVN to Git
  * cme fix dpkg-control
  * hardening=+all

  [ Canberk Koç ]
  * Autopkgtest added

 -- Canberk Koç  <canberkkoc@gmail.com>  Thu, 03 Nov 2016 03:27:19 +0300

njplot (2.4-3) unstable; urgency=medium

  [ Charles Plessy ]
  * Drop menu file as per decision of the Technical Committee.

  [ Andreas Tille ]
  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * debhelper 9
  * Build using dh instead of cdbs
  * Add missing DEP3 header
  * Propagate hardening options
  * Add doc-base control file

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2016 11:43:05 +0100

njplot (2.4-2) unstable; urgency=low

  [ Aaron M. Ucko ]
  * Team upload.
  * Eliminate extraneous build dependencies, most critically lesstif2-dev,
    as Vibrant has switched to Motif now that it's free.  (Closes: #710205.)
  * debian/rules: Contrive to pass hardened CPPFLAGS and LDFLAGS.
  * Standards-Version: 3.9.4.  (Already compliant.)

  [ Charles Plessy ]
  * debian/patches/fix-underlinking.patch (new): Explicitly link njplot and
    unrooted against -lm for compatibility with strict linkers (as on Ubuntu)
    that default to --no-copy-dt-needed.  (Closes: #701756.  LP: #1133488.)

  [ Andreas Tille ]
  * debian/upstream: Added citation information

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 29 May 2013 18:41:31 -0400

njplot (2.4-1) unstable; urgency=low

  * New upstream release integrating Debian patches.
  * Removed debian/patches.
  * Updated debian/copyright to latest format and removed superfluous fields.
  * Simplified Homepage URL (debian/control).

 -- Charles Plessy <plessy@debian.org>  Wed, 04 Jan 2012 19:02:39 +0900

=== debian/control ===
Source: njplot
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libvibrant6-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/njplot
Vcs-Git: https://salsa.debian.org/med-team/njplot.git
Homepage: https://pbil.univ-lyon1.fr/software/njplot
Rules-Requires-Root: no

Package: njplot
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: phylogenetic tree drawing program
 NJplot is able to draw any dendrogram expressed in the Newick standard
 phylogenetic tree format (e.g., the format used by the Phylip package).
 NJplot is especially convenient for rooting the unrooted trees
 obtained from parsimony, distance or maximum likelihood tree-building
 methods.

=== debian/watch ===
version=4
ftp://pbil.univ-lyon1.fr/pub/mol_phylogeny/njplot/njplot-(.*)\.tar.gz
